package com.steerinfo.meterwork.meterworkbelttiminginfo.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="皮带秤定时数据")
public class MeterWorkBeltTiminginfo implements IBasePO<String> {
    /**
     * 定时数据编号（YYYYMMDD+8位流水）(TIMING_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="定时数据编号（YYYYMMDD+8位流水）",required=true)
    private String timingNo;

    /**
     * 预报编号(YYYYMMDD+8位流水)(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报编号(YYYYMMDD+8位流水)",required=false)
    private String predictionNo;

    /**
     * 重量(WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="重量",required=false)
    private BigDecimal weight;

    /**
     * 实时量(REALTIME_AMOUNT,DECIMAL,15)
     */
    @ApiModelProperty(value="实时量",required=false)
    private BigDecimal realtimeAmount;

    /**
     * 皮带速度(BELT_SPEED,DECIMAL,15)
     */
    @ApiModelProperty(value="皮带速度",required=false)
    private BigDecimal beltSpeed;

    /**
     * 差值(DIFFERENCE,DECIMAL,15)
     */
    @ApiModelProperty(value="差值",required=false)
    private BigDecimal difference;

    /**
     * 产品名称(PRODUCT_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="产品名称",required=false)
    private String productName;

    /**
     * 产品名称编号(PRODUCT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="产品名称编号",required=false)
    private String productNo;

    /**
     * 计量班次(METER_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="计量班次",required=false)
    private String meterClass;

    /**
     * 计量班组(METER_GROUP,VARCHAR,20)
     */
    @ApiModelProperty(value="计量班组",required=false)
    private String meterGroup;

    /**
     * 状态(1=有效，0=无效)(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态(1=有效，0=无效)",required=false)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    /**
     * 通知单号(NOTICE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="通知单号",required=false)
    private String noticeNo;

    /**
     * 批号(BATCH_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="批号",required=false)
    private String batchNo;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 计量实绩编号(ACTUAL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量实绩编号",required=true)
    private String actualNo;

    /**
     * 牌号编号（钢号编码）(GRADE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="牌号编号（钢号编码）",required=false)
    private String gradeNo;

    /**
     * 牌号名称（钢号名称）(GRADE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="牌号名称（钢号名称）",required=false)
    private String gradeName;

    /**
     * 标准编号(STANDARD_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="标准编号",required=false)
    private String standardNo;

    /**
     * 标准名称(STANDARD_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="标准名称",required=false)
    private String standardName;

    /**
     * 包号（顺序号）(PACKAGE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="包号（顺序号）",required=false)
    private String packageNo;

    /**
     * 块数（支数）(BLOCK_NUM,VARCHAR,20)
     */
    @ApiModelProperty(value="块数（支数）",required=false)
    private String blockNum;

    /**
     * 生产日期(PRODUCT_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="生产日期",required=false)
    private Date productDate;

    /**
     * 铅封号(SEAL_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="铅封号",required=false)
    private String sealNo;

    /**
     * 桶号(BUCKET_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="桶号",required=false)
    private String bucketNo;

    /**
     * 实绩重量(热送磅净重)：热送磅净重=热送磅采集重量+热送磅零点重量-热送磅仪表底数(ACTUAL_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="实绩重量(热送磅净重)：热送磅净重=热送磅采集重量+热送磅零点重量-热送磅仪表底数",required=false)
    private BigDecimal actualWeight;

    /**
     * 参考重量（热送磅仪表底数-可以远程清零的）(REFER_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="参考重量（热送磅仪表底数-可以远程清零的）",required=false)
    private BigDecimal referWeight;

    /**
     * 固定皮重（热送磅零点重量）(TARE_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="固定皮重（热送磅零点重量）",required=false)
    private BigDecimal tareWeight;

    /**
     * 毛重(热送磅采集重量)(GROSS_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="毛重(热送磅采集重量)",required=false)
    private BigDecimal grossWeight;

    /**
     * 重量组合包号(COMBIN_PACKAGE_NO,VARCHAR,200)
     */
    @ApiModelProperty(value="重量组合包号",required=false)
    private String combinPackageNo;

    /**
     * 重量类型(WEIGHT_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="重量类型",required=false)
    private String weightType;

    /**
     * 审核状态(0=未审核，1=已审核)(CHECK_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="审核状态(0=未审核，1=已审核)",required=false)
    private String checkFlag;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 净重(热送磅净重)：热送磅净重=热送磅采集重量+热送磅零点重量-热送磅仪表底数(NET_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="净重(热送磅净重)：热送磅净重=热送磅采集重量+热送磅零点重量-热送磅仪表底数",required=false)
    private BigDecimal netWeight;

    /**
     * 供应商编号(CUSTOMER_SUPPLIER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="供应商编号",required=false)
    private String customerSupplierNo;

    /**
     * 供应商名称(CUSTOMER_SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="供应商名称",required=false)
    private String customerSupplierName;

    /**
     * 发货单位编号(FORWARDING_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="发货单位编号",required=false)
    private String forwardingUnitNo;

    /**
     * 发货单位名称(FORWARDING_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位名称",required=false)
    private String forwardingUnitName;

    /**
     * 收货单位编号(RECEIVING_UINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="收货单位编号",required=false)
    private String receivingUintNo;

    /**
     * 收货单位名称(RECEIVING_UINT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="收货单位名称",required=false)
    private String receivingUintName;

    /**
     * 规格编号(SPEC_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="规格编号",required=false)
    private String specNo;

    /**
     * 规格名称(SPEC_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="规格名称",required=false)
    private String specName;

    /**
     * 炉号(HEAT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="炉号",required=false)
    private String heatNo;

    /**
     * MES炉号（炉号后8位）(HEAT_NO_MES,VARCHAR,20)
     */
    @ApiModelProperty(value="MES炉号（炉号后8位）",required=false)
    private String heatNoMes;

    /**
     * 顺序炉号（炉号后8位+顺序号）(HEAT_NO_SEQ,VARCHAR,20)
     */
    @ApiModelProperty(value="顺序炉号（炉号后8位+顺序号）",required=false)
    private String heatNoSeq;

    /**
     * 理论重量(THEORETICAL_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="理论重量",required=false)
    private BigDecimal theoreticalWeight;

    /**
     * 审核人编号(CHECK_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="审核人编号",required=false)
    private String checkManNo;

    /**
     * 审核人姓名(CHECK_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="审核人姓名",required=false)
    private String checkManName;

    /**
     * 审核时间(CHECK_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="审核时间",required=false)
    private Date checkTime;

    /**
     * 重量差值（预报理论重量、标准件重量）(WEIGHT_DIFF,DECIMAL,15)
     */
    @ApiModelProperty(value="重量差值（预报理论重量、标准件重量）",required=false)
    private BigDecimal weightDiff;

    /**
     * 秤体（AB秤）(SCALE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="秤体（AB秤）",required=false)
    private String scaleName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.timingNo;
    }

    @Override
    public void setId(String timingNo) {
        this.timingNo = timingNo == null ? null : timingNo.trim();
    }

    public String getTimingNo() {
        return timingNo;
    }

    public void setTimingNo(String timingNo) {
        this.timingNo = timingNo == null ? null : timingNo.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public BigDecimal getRealtimeAmount() {
        return realtimeAmount;
    }

    public void setRealtimeAmount(BigDecimal realtimeAmount) {
        this.realtimeAmount = realtimeAmount;
    }

    public BigDecimal getBeltSpeed() {
        return beltSpeed;
    }

    public void setBeltSpeed(BigDecimal beltSpeed) {
        this.beltSpeed = beltSpeed;
    }

    public BigDecimal getDifference() {
        return difference;
    }

    public void setDifference(BigDecimal difference) {
        this.difference = difference;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName == null ? null : productName.trim();
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo == null ? null : productNo.trim();
    }

    public String getMeterClass() {
        return meterClass;
    }

    public void setMeterClass(String meterClass) {
        this.meterClass = meterClass == null ? null : meterClass.trim();
    }

    public String getMeterGroup() {
        return meterGroup;
    }

    public void setMeterGroup(String meterGroup) {
        this.meterGroup = meterGroup == null ? null : meterGroup.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getNoticeNo() {
        return noticeNo;
    }

    public void setNoticeNo(String noticeNo) {
        this.noticeNo = noticeNo == null ? null : noticeNo.trim();
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo == null ? null : batchNo.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getActualNo() {
        return actualNo;
    }

    public void setActualNo(String actualNo) {
        this.actualNo = actualNo == null ? null : actualNo.trim();
    }

    public String getGradeNo() {
        return gradeNo;
    }

    public void setGradeNo(String gradeNo) {
        this.gradeNo = gradeNo == null ? null : gradeNo.trim();
    }

    public String getGradeName() {
        return gradeName;
    }

    public void setGradeName(String gradeName) {
        this.gradeName = gradeName == null ? null : gradeName.trim();
    }

    public String getStandardNo() {
        return standardNo;
    }

    public void setStandardNo(String standardNo) {
        this.standardNo = standardNo == null ? null : standardNo.trim();
    }

    public String getStandardName() {
        return standardName;
    }

    public void setStandardName(String standardName) {
        this.standardName = standardName == null ? null : standardName.trim();
    }

    public String getPackageNo() {
        return packageNo;
    }

    public void setPackageNo(String packageNo) {
        this.packageNo = packageNo == null ? null : packageNo.trim();
    }

    public String getBlockNum() {
        return blockNum;
    }

    public void setBlockNum(String blockNum) {
        this.blockNum = blockNum == null ? null : blockNum.trim();
    }

    public Date getProductDate() {
        return productDate;
    }

    public void setProductDate(Date productDate) {
        this.productDate = productDate;
    }

    public String getSealNo() {
        return sealNo;
    }

    public void setSealNo(String sealNo) {
        this.sealNo = sealNo == null ? null : sealNo.trim();
    }

    public String getBucketNo() {
        return bucketNo;
    }

    public void setBucketNo(String bucketNo) {
        this.bucketNo = bucketNo == null ? null : bucketNo.trim();
    }

    public BigDecimal getActualWeight() {
        return actualWeight;
    }

    public void setActualWeight(BigDecimal actualWeight) {
        this.actualWeight = actualWeight;
    }

    public BigDecimal getReferWeight() {
        return referWeight;
    }

    public void setReferWeight(BigDecimal referWeight) {
        this.referWeight = referWeight;
    }

    public BigDecimal getTareWeight() {
        return tareWeight;
    }

    public void setTareWeight(BigDecimal tareWeight) {
        this.tareWeight = tareWeight;
    }

    public BigDecimal getGrossWeight() {
        return grossWeight;
    }

    public void setGrossWeight(BigDecimal grossWeight) {
        this.grossWeight = grossWeight;
    }

    public String getCombinPackageNo() {
        return combinPackageNo;
    }

    public void setCombinPackageNo(String combinPackageNo) {
        this.combinPackageNo = combinPackageNo == null ? null : combinPackageNo.trim();
    }

    public String getWeightType() {
        return weightType;
    }

    public void setWeightType(String weightType) {
        this.weightType = weightType == null ? null : weightType.trim();
    }

    public String getCheckFlag() {
        return checkFlag;
    }

    public void setCheckFlag(String checkFlag) {
        this.checkFlag = checkFlag == null ? null : checkFlag.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public BigDecimal getNetWeight() {
        return netWeight;
    }

    public void setNetWeight(BigDecimal netWeight) {
        this.netWeight = netWeight;
    }

    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo == null ? null : customerSupplierNo.trim();
    }

    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName == null ? null : customerSupplierName.trim();
    }

    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo == null ? null : forwardingUnitNo.trim();
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName == null ? null : forwardingUnitName.trim();
    }

    public String getReceivingUintNo() {
        return receivingUintNo;
    }

    public void setReceivingUintNo(String receivingUintNo) {
        this.receivingUintNo = receivingUintNo == null ? null : receivingUintNo.trim();
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName == null ? null : receivingUintName.trim();
    }

    public String getSpecNo() {
        return specNo;
    }

    public void setSpecNo(String specNo) {
        this.specNo = specNo == null ? null : specNo.trim();
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName == null ? null : specName.trim();
    }

    public String getHeatNo() {
        return heatNo;
    }

    public void setHeatNo(String heatNo) {
        this.heatNo = heatNo == null ? null : heatNo.trim();
    }

    public String getHeatNoMes() {
        return heatNoMes;
    }

    public void setHeatNoMes(String heatNoMes) {
        this.heatNoMes = heatNoMes == null ? null : heatNoMes.trim();
    }

    public String getHeatNoSeq() {
        return heatNoSeq;
    }

    public void setHeatNoSeq(String heatNoSeq) {
        this.heatNoSeq = heatNoSeq == null ? null : heatNoSeq.trim();
    }

    public BigDecimal getTheoreticalWeight() {
        return theoreticalWeight;
    }

    public void setTheoreticalWeight(BigDecimal theoreticalWeight) {
        this.theoreticalWeight = theoreticalWeight;
    }

    public String getCheckManNo() {
        return checkManNo;
    }

    public void setCheckManNo(String checkManNo) {
        this.checkManNo = checkManNo == null ? null : checkManNo.trim();
    }

    public String getCheckManName() {
        return checkManName;
    }

    public void setCheckManName(String checkManName) {
        this.checkManName = checkManName == null ? null : checkManName.trim();
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public BigDecimal getWeightDiff() {
        return weightDiff;
    }

    public void setWeightDiff(BigDecimal weightDiff) {
        this.weightDiff = weightDiff;
    }

    public String getScaleName() {
        return scaleName;
    }

    public void setScaleName(String scaleName) {
        this.scaleName = scaleName == null ? null : scaleName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", timingNo=").append(timingNo);
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", weight=").append(weight);
        sb.append(", realtimeAmount=").append(realtimeAmount);
        sb.append(", beltSpeed=").append(beltSpeed);
        sb.append(", difference=").append(difference);
        sb.append(", productName=").append(productName);
        sb.append(", productNo=").append(productNo);
        sb.append(", meterClass=").append(meterClass);
        sb.append(", meterGroup=").append(meterGroup);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", noticeNo=").append(noticeNo);
        sb.append(", batchNo=").append(batchNo);
        sb.append(", memo=").append(memo);
        sb.append(", actualNo=").append(actualNo);
        sb.append(", gradeNo=").append(gradeNo);
        sb.append(", gradeName=").append(gradeName);
        sb.append(", standardNo=").append(standardNo);
        sb.append(", standardName=").append(standardName);
        sb.append(", packageNo=").append(packageNo);
        sb.append(", blockNum=").append(blockNum);
        sb.append(", productDate=").append(productDate);
        sb.append(", sealNo=").append(sealNo);
        sb.append(", bucketNo=").append(bucketNo);
        sb.append(", actualWeight=").append(actualWeight);
        sb.append(", referWeight=").append(referWeight);
        sb.append(", tareWeight=").append(tareWeight);
        sb.append(", grossWeight=").append(grossWeight);
        sb.append(", combinPackageNo=").append(combinPackageNo);
        sb.append(", weightType=").append(weightType);
        sb.append(", checkFlag=").append(checkFlag);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", netWeight=").append(netWeight);
        sb.append(", customerSupplierNo=").append(customerSupplierNo);
        sb.append(", customerSupplierName=").append(customerSupplierName);
        sb.append(", forwardingUnitNo=").append(forwardingUnitNo);
        sb.append(", forwardingUnitName=").append(forwardingUnitName);
        sb.append(", receivingUintNo=").append(receivingUintNo);
        sb.append(", receivingUintName=").append(receivingUintName);
        sb.append(", specNo=").append(specNo);
        sb.append(", specName=").append(specName);
        sb.append(", heatNo=").append(heatNo);
        sb.append(", heatNoMes=").append(heatNoMes);
        sb.append(", heatNoSeq=").append(heatNoSeq);
        sb.append(", theoreticalWeight=").append(theoreticalWeight);
        sb.append(", checkManNo=").append(checkManNo);
        sb.append(", checkManName=").append(checkManName);
        sb.append(", checkTime=").append(checkTime);
        sb.append(", weightDiff=").append(weightDiff);
        sb.append(", scaleName=").append(scaleName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}